{% extends "base_generic.html" %}
{% block title %}
    Courses
{% endblock title %}
{% block content %}
    <div class="row justify-content-center mb-4">
        <div class="col-md-6">
            {% if object_list %}
                <ol>
                    {% for course in object_list %}
                        <li>
                            <a href="{% url 'myg:course-detail' course.id %}">{{ course.title }}</a>
                        </li>
                    {% endfor %}
                </ol>
            {% else %}
                <p>No courses are available.</p>
            {% endif %}
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-md-4">
            <div class="text-center">
                {% if user.is_authenticated and user.is_teacher %}
                    <a class="btn btn-warning" href="{% url 'myg:course-create' %}">
                        <i class="fa-solid fa-plus"></i> Create Course
                    </a>
                {% endif %}
            </div>
        </div>
    </div>
{% endblock content %}
